james-server-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Burrell Donkin" <robertburrelldon...@gmail.com>
Subject Re: [mime4j] Java 5?
Date Sun, 09 Nov 2008 11:14:18 GMT
On Sun, Nov 9, 2008 at 10:52 AM, Markus Wiederkehr
<markus.wiederkehr@gmail.com> wrote:
> Now that the decision to go for Java 5 seems to be made for jSieve

http://svn.apache.org/repos/asf/james/jsieve/trunk/default.properties still has:

#
# compiler options
# (There should be no need to override default compiler but need to change
# javac task to run without this}

build.compiler = modern
jdk.source = 1.4
jdk.target = 1.4

> and Server,

just the 3.0 code base was upgraded - the 2.x codestream remains java
1.4 compatible

> should Mime4j be upgraded to Java 5, too?

i'm not in favour of unnecessary bumping of version numbers for
libraries: it's annoying for downstream users since it has a cascade
effect

any particular reason why mime4j needs to be switched?

- robert

---------------------------------------------------------------------
To unsubscribe, e-mail: server-dev-unsubscribe@james.apache.org
For additional commands, e-mail: server-dev-help@james.apache.org


Mime
View raw message